:root {
    --principal: #925040;
    --secundario: #a86657;
    --negro: #131313;
    --beige: rgba(234, 190, 124, 0.49);
}

@font-face {
    font-family: "Roboto";
    src: url("/fuentes/Roboto/Roboto-Light.ttf");
    font-style: normal;
    font-weight: 300;
}

@font-face {
    font-family: "Roboto";
    src: url("/fuentes/Roboto/Roboto-Regular.ttf");
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: "Roboto";
    src: url("/fuentes/Roboto/Roboto-Bold.ttf");
    font-style: normal;
    font-weight: 700;
}

@font-face {
    font-family: "Raleway";
    src: url("/fuentes/Raleway/Raleway-VariableFont_wght.ttf")
        format("truetype");
    font-weight: 100 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Raleway";
    src: url("/fuentes/Raleway/Raleway-Italic-VariableFont_wght.ttf")
        format("truetype");
    font-weight: 100 900;
    font-style: italic;
    font-display: swap;
}

.fondo-principal {
    background-color: var(--principal);
}

.fondo-beige {
    background-color: var(--beige);
}

.color-principal {
    color: var(--principal) !important;
}

.boton-principal {
    color: white;
    background-color: var(--principal);
    border: 1px solid var(--principal);
}

.boton-principal:hover {
    color: white;
    background-color: var(--secundario);
    border: 1px solid var(--secundario);
}

.boton-outline-principal {
    color: var(--principal);
    border: 1px solid var(--principal);
}

.boton-outline-principal:hover {
    color: white;
    background-color: var(--principal);
}

body {
    font-family: "Raleway", sans-serif;
    background-color: white;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-size: 1rem;
}

main {
    flex-grow: 1;
}

.boton-clausula {
    width: fit-content;
    border: 1px solid rgb(190, 190, 190);
}

.boton-clausula:focus:not(:focus-visible),
.boton-clausula:not(.collapsed) {
    color: var(--negro);
    box-shadow: none;
    background-color: transparent;
    border: 1px solid rgb(190, 190, 190);
}

.boton-clausula:not(.collapsed)::after {
    background-image:
        url("/imagenes/iconos/chevron-down.svg"),
        url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%230c63e4'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.card-noticia {
    text-decoration: none;
    color: var(--negro);
    transition: all 0.2s;
}

.card-noticia:hover {
    color: var(--negro);
    opacity: 0.7;
}

.noticia a {
    color: var(--principal);
    text-decoration: none;
    transition: all 0.2s;
}

.noticia a:hover {
    opacity: 0.7;
}

ul.pagination {
    justify-content: center;
    margin-bottom: 3em;
}

.pagination .page-item.active .page-link {
    background-color: var(--verde1);
    border-color: var(--verde1);
}

.pagination .page-link {
    color: var(--verde1);
}

.pagination .page-link:focus {
    box-shadow: none;
}

.pagination .page-item:first-child .page-link,
.pagination .page-item:last-child .page-link {
    border-radius: 0;
}

.pie a {
    color: var(--negro);
    text-decoration: none;
    transition: all 0.2s;
}

.pie a:hover {
    color: var(--principal);
}

.pie {
    background-color: rgb(234, 238, 241);
}



/* Funciones generales */
.object-fit-cover {
    object-fit: cover;
}

.overflow-hidden {
    overflow: hidden !important;
}

/* Botones */

.btn-principal {
    padding: 10px 16px !important;
    border-radius: 8px !important;

    font-size: 1rem !important;
    font-weight: 700 !important;
    line-height: 28px !important;
    letter-spacing: 0.2px !important;

    display: inline-flex !important;
    align-items: center !important;
    justify-content: center !important;

    white-space: nowrap !important;
    flex-wrap: nowrap !important;

    border: 1px solid transparent !important;
    transition: all 0.25s ease !important;
    backdrop-filter: blur(4px) !important;

    color: #fff !important;
    text-align: center !important;

    background-color: rgba(166, 108, 83, 0.95) !important;
    color: #fff !important;
    border-color: rgba(166, 108, 83, 1) !important;
}

.btn-principal.outline{


    background: none !important;
    color: var(--principal) !important;
    border-color: var(--principal) !important;

}

.btn-principal.outline:hover{
    background-color: #0003;
}


.btn-principal:hover {
    background-color: rgba(185, 125, 98, 1) !important;
    border-color: rgba(185, 125, 98, 1) !important;
    color: white !important;
}

/* TITLES */

.section-title {
    color: inherit;
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: 40px;
}

/* PIE */
.bg-footer {
    background-color: var(--principal); /* marrón de la imagen */
}

.footer-title {
    font-weight: 600;
    margin-bottom: 1rem;
}

.footer-text {
    max-width: 320px;
    font-size: 0.95rem;
    line-height: 1.6;
}

.footer-links li {
    margin-bottom: .5rem;
}

.footer-links a {
    color: #f1e6d8;
    text-decoration: none;
    font-size: 0.95rem;
}

.footer-links a:hover {
    text-decoration: underline;
}

.footer-contact li {
    display: flex;
    align-items: start;
    gap: .5rem;
    margin-bottom: .75rem;
    font-size: 0.95rem;
}

.footer-bottom {
    border-top: 1px solid rgba(255,255,255,.15);
    padding-bottom: 1rem;
    font-size: .8rem;
    opacity: .9;
}
